## licq 1.3.6

=== plugins/qt4-gui/CMakeLists.txt ===
project(Qt4-GUI)
cmake_minimum_required(VERSION 2.4.2)
include(CheckIncludeFile)
include(TestCXXAcceptsFlag)
include(CheckLibraryExists)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

# Qt-GUI version
set(VERSION_MAJOR 1)
set(VERSION_MINOR 3)
set(VERSION_RELEASE 6)

# Use KDE support
option(WITH_KDE "Compile with KDE support" OFF)


# Install dirs
set(INSTALL_LIB_DIR lib CACHE PATH
  "Directory to install the plugin to. A relative path is relative to CMAKE_INSTALL_PREFIX.")
mark_as_advanced(INSTALL_LIB_DIR)

set(INSTALL_DATA_DIR share CACHE PATH
  "Directory to install shared data to. A relative path is relative to CMAKE_INSTALL_PREFIX.")
mark_as_advanced(INSTALL_DATA_DIR)

set(INSTALL_QTGUI_DIR qt4-gui CACHE PATH
  "Icons etc. will be installed to INSTALL_DATA_DIR/licq/INSTALL_QTGUI_DIR.")
mark_as_advanced(INSTALL_QTGUI_DIR)


# Configure compiler flags
check_cxx_accepts_flag(-Wall CXX_ACCEPTS_WALL)
if (CXX_ACCEPTS_WALL)
  add_definitions(-Wall)
endif (CXX_ACCEPTS_WALL)

check_cxx_accepts_flag(-Wextra CXX_ACCEPTS_WEXTRA)
if (CXX_ACCEPTS_WEXTRA)
  add_definitions(-Wextra)
endif (CXX_ACCEPTS_WEXTRA)

check_cxx_accepts_flag(-fPIC CXX_ACCEPTS_FPIC)
if (CXX_ACCEPTS_FPIC)
  add_definitions(-fPIC)
endif (CXX_ACCEPTS_FPIC)


# Holds all libraries we should link to
set(LIBRARIES)

# Check for X11 and (optional) screensaver support
if (NOT APPLE)
  find_package(X11 REQUIRED)
  include_directories(${X11_INCLUDE_DIR})

  set(CMAKE_REQUIRED_LIBRARIES ${X11_LIBRARIES})
  check_library_exists(Xss XScreenSaverRegister "" HAVE_LIBXSS)
  check_include_file(X11/extensions/scrnsaver.h HAVE_SCRNSAVER_H)
  set(CMAKE_REQUIRED_LIBRARIES)

  if (HAVE_SCRNSAVER_H AND HAVE_LIBXSS)
    set(X11_LIBRARIES ${X11_LIBRARIES} Xss)
    set(USE_SCRNSAVER 1)
  endif (HAVE_SCRNSAVER_H AND HAVE_LIBXSS)
  set(LIBRARIES ${LIBRARIES} ${X11_LIBRARIES})
endif (NOT APPLE)


# Check for Qt4
set(QT_MIN_VERSION "4.3.0")

# Check for Qt unless WITH_KDE is requested
if (NOT WITH_KDE)
  find_package(Qt4 REQUIRED)
else (NOT WITH_KDE)
  find_package(KDE4 REQUIRED)
  set(USE_KDE ${KDE4_FOUND})

  # FindKDE4Internal adds "-Wl,--no-undefined" to the linker command
  # line. This doesn't work for use, since all symbols from the daemon
  # are undefined. So we remove it.
  string(REPLACE "-Wl,--no-undefined" ""
    CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS}")

  # FindKDE4Internal adds "-fvisibility=hidden" to the compiler
  # command line. This hides symbols in the plugin that the daemon
  # looks for. So we remove it.
  string(REPLACE "-fvisibility=hidden" ""
    CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

  add_definitions(${KDE4_DEFINITIONS})
  link_directories(${KDE4_LIB_DIR})

  include_directories(${KDE4_INCLUDE_DIR})
  set(LIBRARIES ${LIBRARIES}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS})
endif (NOT WITH_KDE)

include_directories(${QT_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTGUI_INCLUDE_DIR}
  ${QT_QTXML_INCLUDE_DIR})
set(LIBRARIES ${LIBRARIES}
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTXML_LIBRARY})


# Optional check for gpgme
find_package(gpgme)
if (GPGME_FOUND)
  set(HAVE_LIBGPGME 1)
  add_definitions(${GPGME_DEFINITIONS})
  include_directories(${GPGME_INCLUDE_DIRS})
  set(LIBRARIES ${LIBRARIES} ${GPGME_LIBRARIES})
endif (GPGME_FOUND)

# Check for boost, used in Licq includes so we must have it
find_package(Boost 1.31.1 COMPONENTS smart_ptr)
link_directories ( ${Boost_LIBRARY_DIRS} )
include_directories ( ${Boost_INCLUDE_DIRS} )
set(LIBRARIES ${LIBRARIES} ${Boost_LIBRARIES})

# Licq headers (see cmake --help-command find_path
# for the reason we call find_path twice)
find_path(LICQ_INCLUDE_DIR NAMES licq_icqd.h
          PATHS ${CMAKE_SOURCE_DIR}/../../include
                ${CMAKE_SOURCE_DIR}/../licq/include
          NO_DEFAULT_PATHS)
find_path(LICQ_INCLUDE_DIR NAMES licq_icqd.h)

if (NOT LICQ_INCLUDE_DIR)
  message(FATAL_ERROR "Licq header files not found. Please specify the location with -DLICQ_INCLUDE_DIR")
endif (NOT LICQ_INCLUDE_DIR)

message(STATUS "Found Licq include dir: ${LICQ_INCLUDE_DIR}")
include_directories(${LICQ_INCLUDE_DIR})

# Local includes
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)

# Misc headers
check_include_file(locale.h HAVE_LOCALE_H)


# To find config.h
include_directories(${CMAKE_BINARY_DIR})

# Generate config.h
configure_file(${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

add_subdirectory(doc)
add_subdirectory(po)
add_subdirectory(share)
add_subdirectory(src)

=== plugins/qt4-gui/share/misc/CMakeLists.txt ===
# TODO: licq.desktop installation

=== plugins/qt4-gui/src/config/CMakeLists.txt ===
# Configuration data
set(config_SRCS
  chat.cpp
  contactlist.cpp
  emoticons.cpp
  general.cpp
  iconmanager.cpp
  skin.cpp
)

string(REGEX REPLACE ".cpp" ".h" config_HDRS "${config_SRCS}")

qt4_wrap_cpp(config_MOC_SRCS ${config_HDRS})

set(config ${config_SRCS} ${config_MOC_SRCS})
add_library(config STATIC ${config})

=== plugins/qt4-gui/src/contactlist/CMakeLists.txt ===
# ContactList Model
set(contactlist_SRCS
  contactbar.cpp
  contactgroup.cpp
  contactitem.cpp
  contactlist.cpp
  contactuser.cpp
  contactuserdata.cpp
  maincontactlistproxy.cpp
  multicontactproxy.cpp
  singlecontactproxy.cpp
  sortedcontactlistproxy.cpp
)

string(REGEX REPLACE ".cpp" ".h" contactlist_HDRS "${contactlist_SRCS}")

qt4_wrap_cpp(contactlist_MOC_SRCS ${contactlist_HDRS})

set(contactlist ${contactlist_SRCS} ${contactlist_MOC_SRCS})
add_library(contactlist STATIC ${contactlist})

=== plugins/qt4-gui/src/dialogs/CMakeLists.txt ===
# Various Dialogs
set(dialogs_SRCS
  aboutdlg.cpp
  adduserdlg.cpp
  authuserdlg.cpp
  awaymsgdlg.cpp
  chatdlg.cpp
  customautorespdlg.cpp
  editcategorydlg.cpp
  editfiledlg.cpp
  editfilelistdlg.cpp
  editgrpdlg.cpp
  filedlg.cpp
  forwarddlg.cpp
  hintsdlg.cpp
  historydlg.cpp
  joinchatdlg.cpp
  keyrequestdlg.cpp
  logwindow.cpp
  mmsenddlg.cpp
  ownereditdlg.cpp
  ownermanagerdlg.cpp
  phonedlg.cpp
  plugindlg.cpp
  randomchatdlg.cpp
  refusedlg.cpp
  registeruser.cpp
  reqauthdlg.cpp
  searchuserdlg.cpp
  securitydlg.cpp
  showawaymsgdlg.cpp
  skinbrowser.cpp
  statsdlg.cpp
  userselectdlg.cpp
  utilitydlg.cpp
)

# GPG specific stuff
if (GPGME_FOUND)
  list(APPEND dialogs_SRCS gpgkeymanager.cpp gpgkeyselect.cpp)
endif (GPGME_FOUND)

string(REGEX REPLACE ".cpp" ".h" dialogs_HDRS "${dialogs_SRCS}")

qt4_wrap_cpp(dialogs_MOC_SRCS ${dialogs_HDRS})

set(dialogs ${dialogs_SRCS} ${dialogs_MOC_SRCS})
add_library(dialogs STATIC ${dialogs})

=== plugins/qt4-gui/src/settings/CMakeLists.txt ===
# Settings dialog
set(settings_SRCS
  chat.cpp
  contactlist.cpp
  events.cpp
  general.cpp
  network.cpp
  settingsdlg.cpp
  status.cpp
)

string(REGEX REPLACE ".cpp" ".h" settings_HDRS "${settings_SRCS}")

qt4_wrap_cpp(settings_MOC_SRCS ${settings_HDRS})

set(settings ${settings_SRCS} ${settings_MOC_SRCS})
add_library(settings STATIC ${settings})

=== plugins/qt4-gui/src/widgets/CMakeLists.txt ===
set(widgets_SRCS
  calendar.cpp
  colorbutton.cpp
  filenameedit.cpp
  fontedit.cpp
  groupcombobox.cpp
  historyview.cpp
  infofield.cpp
  messagelist.cpp
  mledit.cpp
  mlview.cpp
  protocombobox.cpp
  skinnablebutton.cpp
  skinnablecombobox.cpp
  skinnablelabel.cpp
  tabwidget.cpp
  timezoneedit.cpp
  treepager.cpp
)

string(REGEX REPLACE ".cpp" ".h" widgets_HDRS "${widgets_SRCS}")

qt4_wrap_cpp(widget_MOC_SRCS ${widgets_HDRS})

set(widgets ${widgets_SRCS} ${widget_MOC_SRCS})
add_library(widgets STATIC ${widgets})

## licq 1.3.8

=== plugins/qt4-gui/CMakeLists.txt ===
--- 
+++ 
@@ -9,14 +9,14 @@
 # Qt-GUI version
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 3)
-set(VERSION_RELEASE 6)
+set(VERSION_RELEASE 8)
 
 # Use KDE support
 option(WITH_KDE "Compile with KDE support" OFF)
 
 
 # Install dirs
-set(INSTALL_LIB_DIR lib CACHE PATH
+set(INSTALL_LIB_DIR lib${LIB_SUFFIX} CACHE PATH
   "Directory to install the plugin to. A relative path is relative to CMAKE_INSTALL_PREFIX.")
 mark_as_advanced(INSTALL_LIB_DIR)
 
@@ -73,6 +73,16 @@
 # Check for Qt unless WITH_KDE is requested
 if (NOT WITH_KDE)
   find_package(Qt4 REQUIRED)
+
+  # Check for HunSpell
+  find_package(Hunspell)
+  if (HUNSPELL_FOUND)
+    set(HAVE_HUNSPELL 1)
+    add_definitions(${HUNSPELL_DEFINITIONS})
+    include_directories(${HUNSPELL_INCLUDE_DIRS})
+    set(LIBRARIES ${LIBRARIES} ${HUNSPELL_LIBRARIES})
+  endif (HUNSPELL_FOUND)
+
 else (NOT WITH_KDE)
   find_package(KDE4 REQUIRED)
   set(USE_KDE ${KDE4_FOUND})
@@ -107,16 +117,6 @@
   ${QT_QTCORE_LIBRARY}
   ${QT_QTGUI_LIBRARY}
   ${QT_QTXML_LIBRARY})
-
-
-# Optional check for gpgme
-find_package(gpgme)
-if (GPGME_FOUND)
-  set(HAVE_LIBGPGME 1)
-  add_definitions(${GPGME_DEFINITIONS})
-  include_directories(${GPGME_INCLUDE_DIRS})
-  set(LIBRARIES ${LIBRARIES} ${GPGME_LIBRARIES})
-endif (GPGME_FOUND)
 
 # Check for boost, used in Licq includes so we must have it
 find_package(Boost 1.31.1 COMPONENTS smart_ptr)

## licq 1.3.9

=== plugins/qt4-gui/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 project(Qt4-GUI)
 cmake_minimum_required(VERSION 2.4.2)
+cmake_policy(SET CMP0003 NEW)
+
 include(CheckIncludeFile)
 include(TestCXXAcceptsFlag)
 include(CheckLibraryExists)
@@ -9,7 +11,7 @@
 # Qt-GUI version
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 3)
-set(VERSION_RELEASE 8)
+set(VERSION_RELEASE 9)
 
 # Use KDE support
 option(WITH_KDE "Compile with KDE support" OFF)

=== plugins/qt4-gui/po/CMakeLists.txt ===
set(po_SRCS
  be.ts
  bg_BG.ts
  cs_CZ.ts
  de.ts
  es.ts
  fi.ts
  fr.ts
  hu_HU.ts
  it.ts
  ja_JP.eucJP.ts
  pl.ts
  pt_BR.ts
  pt.ts
  ru.ts
  sr.ts
  sv.ts
  tr.ts
  uk.ts
)

# Translatable source files
file(GLOB_RECURSE translate_files
  ${CMAKE_CURRENT_SOURCE_DIR}/../src/*.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/../src/*.h)

find_program(QT_LUPDATE
  NAMES lupdate-qt4 lupdate
  PATHS $ENV{QTDIR}/bin
  DOC "Path to the lupdate program"
)

find_program(QT_LRELEASE
  NAMES lrelease-qt4 lrelease
  PATHS $ENV{QTDIR}/bin
  DOC "Path to the lrelease program"
)

# Update translations (note that [clean-]merge targets write to source directory)
if (QT_LUPDATE)
  # merge: update all translations
  add_custom_target(merge
    ${QT_LUPDATE} ${translate_files} -ts ${po_SRCS}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

  # clean-merge: update all translations and remove obsolete strings
  add_custom_target(clean-merge
    ${QT_LUPDATE} -noobsolete ${translate_files} -ts ${po_SRCS}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

  # Create template.ts to be used for new translations
  add_custom_command(OUTPUT template.ts
    COMMAND ${QT_LUPDATE} -noobsolete ${translate_files} -ts template.ts
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS ${translate_files})

  # template: create po/template.ts
  add_custom_target(template DEPENDS template.ts)
else (QT_LUPDATE)
  message(STATUS "lupdate could not be found. You will not be able to update the translations.")
endif (QT_LUPDATE)


# Build translations
if (QT_LRELEASE)
  # Clear list
  set(qms)

  # Add command to build X.qm from X.po
  foreach (po ${po_SRCS})
    get_filename_component(qm ${po} NAME_WE)
    set(qm "${CMAKE_CURRENT_BINARY_DIR}/${qm}.qm")
    set(po "${CMAKE_CURRENT_SOURCE_DIR}/${po}")
    add_custom_command(OUTPUT ${qm}
      COMMAND ${QT_LRELEASE} ${po} -qm ${qm}
      DEPENDS ${po})
    set(qms ${qms} ${qm})
  endforeach(po)

  # translations: build all *.qm files
  add_custom_target(translations ALL DEPENDS ${qms})

  # Install *.qm to <prefix>/share/licq/qt4-gui/locale
  install(FILES ${qms}
    DESTINATION ${INSTALL_DATA_DIR}/licq/${INSTALL_QTGUI_DIR}/locale)
else (QT_LRELEASE)
  message(STATUS "lrelease could not be found. You're losing the localisation.")
endif (QT_LRELEASE)

=== plugins/qt4-gui/src/CMakeLists.txt ===
set(SOURCE_DIRS
  config
  contactlist
  core
  dialogs
  dockicons
  helpers
  settings
  userdlg
  userevents
  views
  widgets
)

set(objs)
foreach (dir ${SOURCE_DIRS})
  add_subdirectory(${dir})

  # CMake doesn't support "convenience libraries" (yet). This works
  # around that by getting a list of all object files from each
  # subdirectory and then linking them directly to the target. Depends
  # on internal CMake structure and may break in the future. Hopefully
  # CMake will get "convenience libraries" before that.
  set(objdir ${CMAKE_CURRENT_BINARY_DIR}/${dir}${CMAKE_FILES_DIRECTORY}/${dir}.dir) 
  get_directory_property(${dir} DIRECTORY ${dir} DEFINITION ${dir})
  foreach (file ${${dir}})
    get_filename_component(basename ${file} NAME_WE)
    list(APPEND objs ${objdir}/${basename}${CMAKE_C_OUTPUT_EXTENSION})
  endforeach (file)
endforeach (dir)
set_source_files_properties(${objs} PROPERTIES GENERATED true)

if (WITH_KDE)
  set(target licq_kde4-gui)
else (WITH_KDE)
  set(target licq_qt4-gui)
endif (WITH_KDE)

add_library(${target} MODULE ${objs})
add_dependencies(${target} ${SOURCE_DIRS})
target_link_libraries(${target} ${LIBRARIES})
set_target_properties(${target} PROPERTIES PREFIX "")
set_target_properties(${target} PROPERTIES LINKER_LANGUAGE CXX)

install(TARGETS ${target} DESTINATION ${INSTALL_LIB_DIR}/licq)

if (APPLE)
  set_target_properties(${target} PROPERTIES
    LINK_FLAGS "-flat_namespace -undefined suppress")
endif (APPLE)

=== plugins/qt4-gui/share/dock/CMakeLists.txt ===
# Dock icons
set(dock_SHARE
  console
  flower
  flower-ns
  glicq
  kde2
  pli
)

install(DIRECTORY ${dock_SHARE}
  DESTINATION ${INSTALL_DATA_DIR}/licq/${INSTALL_QTGUI_DIR}/dock
  PATTERN ".svn" EXCLUDE
)

=== plugins/qt4-gui/share/emoticons/CMakeLists.txt ===
# Emoticons
set(emoticons_SHARE
  bugeyes
  ccmathteam.com
  Default
  FeltTip4
  Mirabilis4
  Mirabilis5
  Mirabilis5.1
  msn
  phpBB
  thomas
)

install(DIRECTORY ${emoticons_SHARE}
  DESTINATION ${INSTALL_DATA_DIR}/licq/${INSTALL_QTGUI_DIR}/emoticons
  PATTERN ".svn" EXCLUDE
)

=== plugins/qt4-gui/share/exticons/CMakeLists.txt ===
# Extended icons
set(exticons_SHARE
  basic
  kde
  thomas
)

install(DIRECTORY ${exticons_SHARE}
  DESTINATION ${INSTALL_DATA_DIR}/licq/${INSTALL_QTGUI_DIR}/exticons
  PATTERN ".svn" EXCLUDE
)

=== plugins/qt4-gui/share/icons/CMakeLists.txt ===
# Icons
set(icons_SHARE
  ami
  computer
  icq
  icq2
  kde
  mark
  thomas
)

install(DIRECTORY ${icons_SHARE}
  DESTINATION ${INSTALL_DATA_DIR}/licq/${INSTALL_QTGUI_DIR}/icons
  PATTERN ".svn" EXCLUDE
)

=== plugins/qt4-gui/share/misc/CMakeLists.txt ===
install(FILES licq.desktop DESTINATION ${INSTALL_DATA_DIR}/applications)

=== plugins/qt4-gui/share/skins/CMakeLists.txt ===
# Skins
set(skins_SHARE
  basic
  basic-ncb
  bheart
  compact
  dim
  e
  gradient
  icq
  icq-ncb
  Mirabilis
  pli
  shale
  thomas
)

install(DIRECTORY ${skins_SHARE}
  DESTINATION ${INSTALL_DATA_DIR}/licq/${INSTALL_QTGUI_DIR}/skins
  PATTERN ".svn" EXCLUDE
)

=== plugins/qt4-gui/src/config/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
   emoticons.cpp
   general.cpp
   iconmanager.cpp
+  shortcuts.cpp
   skin.cpp
 )

=== plugins/qt4-gui/src/contactlist/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
   contactuser.cpp
   contactuserdata.cpp
   maincontactlistproxy.cpp
+  mode2contactlistproxy.cpp
   multicontactproxy.cpp
   singlecontactproxy.cpp
   sortedcontactlistproxy.cpp

=== plugins/qt4-gui/src/core/CMakeLists.txt ===
set(core_SRCS
  groupmenu.cpp
  licqgui.cpp
  mainwin.cpp
  messagebox.cpp
  plugin.cpp
  signalmanager.cpp
  systemmenu.cpp
  usermenu.cpp
)

# KDE specific stuff
# if (WITH_KDE)
#   list(APPEND core_SRCS licqkimiface.cpp wrap_kde_malloc.cpp)

#   kde4_add_dcop_skels(core_SRCS kimiface.h)
#   kde4_add_dcop_stubs(core_SRCS kimiface.h)
# endif (WITH_KDE)

string(REGEX REPLACE ".cpp" ".h" core_HDRS "${core_SRCS}")
string(REGEX REPLACE "(wrap_kde_malloc.h|plugin.h)" "" core_MOC_HDRS "${core_HDRS}")

qt4_wrap_cpp(core_MOC_SRCS ${core_MOC_HDRS})

set(core ${core_SRCS} ${core_MOC_SRCS})
add_library(core STATIC ${core})

=== debian/changelog ===
licq (1.3.9-1) unstable; urgency=low

  * New upstream version (closes: #74655)
  * Changed Vcs-Urls to gitorious.org
  * Patch to fix disconnect from ICQ server after refusing authorization

 -- Erik Johansson <debian@ejohansson.se>  Tue, 18 May 2010 21:21:53 +0200

licq (1.3.8-3) unstable; urgency=low

  * Don't ship empty usr/lib/licq/ in licq package.
  * Changed source package format to '3.0 (quilt)'.
  * Bumped Standards Version to 3.8.4 with no changes.
  * Updated package descriptions.
  * New description for the qt4 plugin. - thanks to flynd
  * Changed licq to recommend licq-plugin to break circular dependency
    (Closes: #567989)

 -- Erik Johansson <debian@ejohansson.se>  Sun, 21 Feb 2010 11:21:09 +0100

licq (1.3.8-2) unstable; urgency=low

  * Packaged qt4-gui plugin (closes: #516672).
  * Changed licq-dev section to devel to match override.

 -- Erik Johansson <debian@ejohansson.se>  Fri, 22 Jan 2010 07:50:18 +0100

licq (1.3.8-1) unstable; urgency=low

  * New maintainer (closes: #471819)
  * New upstream release 1.3.8 (closes: #421774, #425748, #282933)
  * Removed fix-const.patch, merged upstream
  * debian/licq.docs
    - Dropped docs no longer shipped upstream
  * Backport r7000, r6978, r7023, r7087 from upstream, fixing potential bugs.
  * Bumped Standards Version to 3.8.3 with no changes.

 -- Erik Johansson <debian@ejohansson.se>  Sat, 09 Jan 2010 17:27:46 +0100

licq (1.3.6-3) unstable; urgency=low

  * QA upload.
  * Fix "fails to build with gcc-4.4", apply patch fix-const.patch from Ubuntu
    (closes: #548616).

 -- gregor herrmann <gregoa@debian.org>  Sun, 20 Dec 2009 17:46:19 +0100

licq (1.3.6-2) unstable; urgency=low

  * QA upload.
  * Fix FTBFS: Depend on newer kdebase-data which stores licq.png in a
    different directory (Closes: #530470)

 -- Jan Hauke Rahm <info@jhr-online.de>  Sun, 14 Jun 2009 17:32:54 +0200

licq (1.3.6-1) unstable; urgency=low

  * QA Upload
  * Sync from Ubuntu jaunty to Debian unstable, summary of changes follows
    - New upstream release 1.3.6
    - Removed 40_ICQ_version_too_old.patch, merged upstream
    - Added libboost-dev to the build-deps
    - Dropped licq.docs as they are no longer shipped
  * debian/control:
    - Bumped Standards Version to 3.8.0
    - Added ${misc:Depends} to depends lines to lintian clean the package

 -- Michael Casadevall <sonicmctails@gmail.com>  Tue, 16 Dec 2008 17:24:49 -0500

licq (1.3.6-0ubuntu1) jaunty; urgency=low

  * New upstream release 1.3.6
  * Removed 40_ICQ_version_too_old.patch, merged upstream
  * Removed 60_glibc2_8-ftbfs-fix.patch, unneeded
  * Added libboost-dev to the build-deps
  * debian/licq.docs
    - Dropped docs no longer shipped upstream

 -- Michael Casadevall <sonicmctails@gmail.com>  Fri, 07 Nov 2008 17:36:24 -0500

licq (1.3.5-7ubuntu1) intrepid; urgency=low

  * Fixed FTBFS failure due to glibc2.8 via 60_glibc2_8-ftbfs-fix.patch
  * Switched licq icon to be pulled from oxygen skin vs. crystalsvg
    as intrepid no longer carries the later by default in kdebase-data
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Michael Casadevall <sonicmctails@gmail.com>  Mon, 14 Jul 2008 04:06:46 +0000

licq (1.3.5-7) unstable; urgency=low

  * QA Upload
  * Fixing ICQ version too old problem (Closes: #488887)

 -- Rene Stegmaier <rene@rr47.de>  Wed, 02 Jul 2008 09:41:16 +0200

licq (1.3.5-6) unstable; urgency=high

  * QA Upload
  * CVE-2008-1996: Limit maximum number of connections to avoid
    DoS attacks. Patch from upstream, pointed out by Steffen Joeris.
    (closes: #479036)

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 02 May 2008 14:36:59 +0200

licq (1.3.5-5) unstable; urgency=low

  * QA Upload
    + change maintainer address to QA group

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 24 Apr 2008 03:14:09 +0200

licq (1.3.5-4) unstable; urgency=low

  * Added auto-reply configure cache override for gcc-4.3 support
    (closes: #474425)

 -- Peter Eisentraut <petere@debian.org>  Mon, 07 Apr 2008 12:08:47 +0200

licq (1.3.5-3) unstable; urgency=low

  * Updated standards version
  * Updated lintian overrides
  * Removed custom lintian overrides installation rules, made use of new
    debhelper and cdbs features instead
  * Changed to debhelper level 6
  * Changed section of licq-dev to libdevel

 -- Peter Eisentraut <petere@debian.org>  Fri, 04 Apr 2008 21:13:07 +0200

licq (1.3.5-2) unstable; urgency=low

  * Uploaded to unstable

 -- Peter Eisentraut <petere@debian.org>  Sun, 18 Nov 2007 19:37:01 +0100

licq (1.3.5-1) experimental; urgency=low

  * New upstream release
    - Obsoleted patches: 42_licq-qt-no-rpath.patch
  * Updated menu section for new menu policy
  * Updated copyright files

 -- Peter Eisentraut <petere@debian.org>  Mon, 29 Oct 2007 03:55:57 +0100

licq (1.3.4-3) unstable; urgency=low

  * Don't ignore errors from make distclean, as per lintian check
  * Changed ${Source-Version} to ${binary:Version}
  * Removed kderemove tag from menu entry
  * Updated lintian overrides
  * Added Homepage control field

 -- Peter Eisentraut <petere@debian.org>  Wed, 10 Oct 2007 14:20:25 +0200

licq (1.3.4-2) unstable; urgency=low

  * licq-plugin-qt replaces a file from the old licq package
    (closes: #393319)

 -- Peter Eisentraut <petere@debian.org>  Mon, 16 Oct 2006 18:51:14 +0200

licq (1.3.4-1) unstable; urgency=low

  * New upstream release
    - Updated libtool (closes: #343460, #382455)
    - Fixed: when out of diskspace, licq continuously creates windows
      (closes: #245036)
    - Fixed: eats characters after quotes (closes: #249484)
    - Fixed: emoticon support needs improvement (closes: #283905)
    - Fixed: set status to offline via licq.fifo doesn't work correctly
      (closes: #310670)
    - Fixed: RMS plugin won't load (closes: #340414)
    - Fixed: Online ICQ users are changed to Offline after a period of time
      (closes: #342627)
    - Fixed: licq should check for stale pidfile (closes: #376298)


=== debian/control ===
Source: licq
Build-Depends: cdbs (>= 0.4.52), cmake (>= 2.4.2), debhelper (>= 6.0.7), imagemagick, kdebase-data (>= 4:3.97.0), kdelibs4-dev, libcdk5-dev, libgpgme11-dev (>= 0.4.2), libncurses5-dev, libqt3-mt-dev, libqt4-dev (>= 4.3.0), qt4-dev-tools, libssl-dev, libxosd-dev (>= 2.1.0), libxss-dev, libboost-dev (>= 1.33.1), libhunspell-dev
Section: net
Priority: optional
Maintainer: Erik Johansson <debian@ejohansson.se>
Standards-Version: 3.8.4
Vcs-Git: git://gitorious.org/licq/debian.git
Vcs-Browser: http://gitorious.org/licq/debian
Homepage: http://www.licq.org/

Package: licq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: licq-plugin-qt4 | licq-plugin, sox
Suggests: bind9-host | host, ping, traceroute
Description: multi-protocol instant messaging client (base files)
 Licq is an instant messaging client daemon that supports a number of
 interfaces via plug-ins, primarily KDE or Qt, but also console, and several
 utility plug-ins.  Included in this package is support for AIM and ICQ.
 Support for MSN is available as a separate plug-in.
 .
 Implemented features include messaging, chat, file transfer, whitepages,
 history, invisible list, server-side stored contacts, typing
 notification, phone book, user pictures, proxy support, user groups,
 network monitor window, themed docking skin and icon pack support,
 FIFO support for remote control, international support with Unicode and
 translations, per-user customized auto responses, SSL secure client to
 client connections and GPG encrypted messages.
 .
 At least one plug-in is required for Licq to function.  The plug-ins
 are distributed in separate packages named "licq-plugin-*".

Package: licq-dev
Architecture: all
Section: devel
Depends: ${misc:Depends}
Description: Licq development and header files
 This package contains files required to compile Licq plug-ins that are not
 included in the main Licq package.  If you aren't going to compile plug-ins,
 you don't need this package.

Package: licq-plugin-autoreply
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Provides: licq-plugin
Description: autoreply plug-in for Licq
 This is an autoreplier plug-in for the Licq instant messaging client.  Any
 events (messages, URLs, etc.) received while the plug-in is enabled will cause
 the plug-in to reply with the output from any specified program (e.g.,
 fortune).

Package: licq-plugin-console
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Provides: licq-plugin
Description: console user interface plug-in for Licq
 This is a console user interface plug-in for the Licq instant messaging
 client.  It does not have all the features that the Qt GUI supports, but it
 does offer a number of really cool text-mode things such as multiple windows,
 contact list pane and log window.

Package: licq-plugin-forwarder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Provides: licq-plugin
Description: forwarder plug-in for Licq
 This is a forwarder plug-in for the Licq instant messaging client.  Any events
 (messages, URLs, etc.) received while the plug-in is enabled will be forwarded
 either via SMTP to a given email account or via ICQ to a given UIN.

Package: licq-plugin-kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Provides: licq-plugin
Description: graphical user interface plug-in for Licq using KDE
 This package provides a Qt-based graphical user interface to the Licq instant
 messaging client.  This version is built for KDE and provides the
 corresponding extra features, including KDE docking support.

Package: licq-plugin-msn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Provides: licq-plugin
Description: MSN plug-in for Licq
 This is a plug-in for the Licq instant messaging client that enables
 communication over the MSN Messenger instant messaging network.

Package: licq-plugin-osd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Provides: licq-plugin
Description: on-screen display plug-in for Licq
 This is a plug-in for the Licq instant messaging client that enables it to
 display new messages as an on-screen display message.  User logged on/off and
 status changed messages are also supported.

Package: licq-plugin-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Provides: licq-plugin
Description: graphical user interface plug-in for Licq using Qt3
 This package provides the Qt-based graphical user interface to the Licq
 instant messaging client.  This version is not linked against the KDE3
 libraries; see licq-plugin-kde for that.  The Qt plug-in has docking support
 for Window Maker, AfterStep and Enlightenment among others.

Package: licq-plugin-qt4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Provides: licq-plugin
Description: graphical user interface plug-in for Licq using Qt4
 This package provides a Qt-based graphical user interface to the Licq instant
 messaging client.  The GUI provides access to all features available in Licq
 and is the default plug-in for Licq.
 .
 The GUI contains a wide range of configurable options as well as skin support
 allowing behaviour and appearance to be customized in many ways.  Features
 include spell checking, auto-raise and auto-popup incoming messages, tray icon
 and a searchable history.
 .
 By taking advantage of the desktop integration features of Qt4, the GUI can
 adapt to standard desktops with regards to look and feel.  Docking support is
 also available for Window Maker, AfterStep and Enlightment among others.
 .
 Qt4-GUI is based on the old Qt-GUI (licq-plugin-qt) but uses Qt4 and includes
 new features such as spell checking and configurable keyboard shortcuts as
 well as entirely new dialogs for messaging, history and settings.  Note that
 spell checking and tray icon are available even though this version is not
 linked with KDE libraries.

Package: licq-plugin-rms
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, licq (= ${binary:Version})
Provides: licq-plugin
Description: remote management server plug-in for telnet Licq access
 This package provides the means to manage Licq instant messaging sessions
 remotely through a telnet connection.  For obvious reasons, if you don't
 need this plug-in, you probably shouldn't install it.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/langcore.mk
include /usr/share/cdbs/1/class/autotools-vars.mk

DEB_INSTALL_DOCS_ALL =
DEB_INSTALL_CHANGELOGS_ALL = doc/CHANGELOG
DEB_DH_MAKESHLIBS_ARGS_ALL = -X usr/lib/licq/

confflags  = $(DEB_CONFIGURE_SCRIPT_ENV) $(DEB_CONFIGURE_NORMAL_ARGS)
confflags += --cache-file=$(CURDIR)/config.cache

# hacks to avoid running these things during the build
export ACLOCAL    = : aclocal
export AUTOCONF   = : autoconf
export AUTOMAKE	  = : automake
export AUTOHEADER = : autoheader

# cmake settings
CMAKE = cmake
CMAKE_BUILDDIR = obj-$(DEB_BUILD_GNU_TYPE)
CMAKE_INSTALL_PREFIX = /usr
CMAKE_NORMAL_ARGS  = -DCMAKE_INSTALL_PREFIX="$(CMAKE_INSTALL_PREFIX)"
CMAKE_NORMAL_ARGS += -DCMAKE_C_COMPILER:FILEPATH="$(CC)"
CMAKE_NORMAL_ARGS += -DCMAKE_CXX_COMPILER:FILEPATH="$(CXX)"
CMAKE_NORMAL_ARGS += -DCMAKE_C_FLAGS="$(CFLAGS)"
CMAKE_NORMAL_ARGS += -DCMAKE_CXX_FLAGS="$(CXXFLAGS)"
CMAKE_NORMAL_ARGS += -DCMAKE_SKIP_RPATH=ON
CMAKE_NORMAL_ARGS += -DCMAKE_VERBOSE_MAKEFILE=ON

# plugin packages
CMAKE_PLUGINS := qt4
PLUGINS := $(filter-out $(CMAKE_PLUGINS),$(patsubst licq-plugin-%,%,$(filter licq-plugin-%,$(shell dh_listpackages))))

# directories of plugin packages in source tree
src/autoreply = auto-reply
src/console   = console
src/forwarder = email
src/kde       = kde-gui
src/msn       = msn
src/osd       = osd
src/qt        = qt-gui
src/qt4       = qt4-gui
src/rms       = rms


# In order to have both a Qt and a KDE plugin, we make a mangled copy
# of the Qt plugin in the source tree.

post-patches:: preconfigure-kde-gui

preconfigure-kde-gui:
	cp -a plugins/qt-gui plugins/kde-gui
	mv plugins/kde-gui/share/qt-gui plugins/kde-gui/share/kde-gui
	cd plugins/kde-gui && \
	for i in share/Makefile.in \
		 share/Makefile.am \
	         po/Makefile.in \
		 po/Makefile.am ; \
	do \
	    sed -i -e 's/qt-gui/kde-gui/g' $$i ; \
	done	    
	cd plugins/kde-gui && \
	for i in src/licqgui.cpp \
		 src/mainwin.cpp \
		 src/gui-defines.h \
		 src/skinbrowser.cpp ; do \
	    sed -i -e '/#include/! s/"\(.*\)qt-gui\(.*\)"/"\1kde-gui\2"/g' $$i ; \
	done	    
	touch $@

clean::
	rm -f preconfigure-kde-gui
	rm -rf plugins/kde-gui


# Build rules

configure/licq:: config.status
config.status:
	./configure $(confflags)

build/licq:: debian/stamp-licq-build
debian/stamp-licq-build:
	$(MAKE)
	touch $@

clean::
	rm -f debian/stamp-licq-build
	[ ! -f Makefile ] || $(MAKE) distclean


# autotools plugins
define build-plugin
configure/licq-plugin-$(1):: plugins/$$(src/$(1))/config.status
plugins/$$(src/$(1))/config.status:
	cd plugins/$$(src/$(1)) && ./configure $$(confflags) $$(extra_confflags)

build/licq-plugin-$(1):: debian/stamp-$(1)-build
debian/stamp-$(1)-build:
	$$(MAKE) -C plugins/$$(src/$(1))
	touch $$@

install/licq-plugin-$(1)::
	$$(MAKE) -C plugins/$$(src/$(1)) install DESTDIR=$(CURDIR)/debian/licq-plugin-$(1)

clean::
	rm -f debian/stamp-$(1)-build
	[ ! -f plugins/$$(src/$(1))/Makefile ] || $$(MAKE) -C plugins/$$(src/$(1)) distclean
endef

configure/licq-plugin-kde:: extra_confflags = --with-kde

$(foreach X,$(PLUGINS),$(eval $(call build-plugin,$(X))))

# cmake plugins
define build-cmake-plugin
configure/licq-plugin-$(1):: plugins/$$(src/$(1))/$(CMAKE_BUILDDIR)/CMakeCache.txt
plugins/$$(src/$(1))/$(CMAKE_BUILDDIR)/CMakeCache.txt:
	mkdir -p $$(@D)
	cd $$(@D) && $$(CMAKE) $(CURDIR)/plugins/$$(src/$(1)) $$(CMAKE_NORMAL_ARGS) $$(CMAKE_EXTRA_ARGS)

build/licq-plugin-$(1):: debian/stamp-$(1)-build
debian/stamp-$(1)-build:
	$$(DEB_MAKE_ENVVARS) $$(MAKE) -C plugins/$$(src/$(1))/$(CMAKE_BUILDDIR)
	touch $$@

install/licq-plugin-$(1)::
	$$(DEB_MAKE_ENVVARS) $$(MAKE) -C plugins/$$(src/$(1))/$(CMAKE_BUILDDIR) install DESTDIR=$(CURDIR)/debian/licq-plugin-$(1)

clean::
	rm -f debian/stamp-$(1)-build
	rm -rf plugins/$$(src/$(1))/$(CMAKE_BUILDDIR)
endef

$(foreach X,$(CMAKE_PLUGINS),$(eval $(call build-cmake-plugin,$(X))))


# Install rules

install/licq install/licq-dev:: install-licq-common
install-licq-common::
	$(MAKE) install DESTDIR=$(CURDIR)/debian/licq
	mkdir -p debian/licq/usr/share/pixmaps
	convert /usr/share/icons/oxygen/32x32/apps/licq.png debian/licq/usr/share/pixmaps/licq.xpm
	mkdir -p debian/licq-dev/usr
	mv debian/licq/usr/include debian/licq-dev/usr/include
	rm -r debian/licq/usr/lib

binary-post-install/licq-plugin-kde::
	rm debian/$(cdbs_curpkg)/usr/share/licq/kde-gui/emoticons/FeltTip4/LICENSE

binary-post-install/licq-plugin-qt::
	rm debian/$(cdbs_curpkg)/usr/share/licq/qt-gui/emoticons/FeltTip4/LICENSE
	mv debian/$(cdbs_curpkg)/usr/share/applications/licq.desktop debian/$(cdbs_curpkg)/usr/share/applications/licq-qt3.desktop

binary-post-install/licq-plugin-qt4::
	rm debian/$(cdbs_curpkg)/usr/share/licq/qt4-gui/emoticons/FeltTip4/LICENSE
	mv debian/$(cdbs_curpkg)/usr/share/applications/licq.desktop debian/$(cdbs_curpkg)/usr/share/applications/licq-qt4.desktop

=== debian/watch ===
version=3
http://sf.net/licq/licq-([^-RC]+)\.tar\.gz
